Taiga
API ReferenceOrganizationService FacilitiesV2

List service facilities

GET
/api/organization-service-facilities/v2

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Query Parameters

limit?|

Limit the number of results returned. Defaults to 100.

name?|

Filter to a name or a part of a name.

organization_service_facility_ids?array<|null>

Filter to the provided organization service facility IDs.

external_ids?array<string|null>

Filter by one or more external_ids.

place_of_service_code?|

Filter by Place of Service (POS) code.

page_token?|

The page token to continue paging through a previous request.

Response Body

application/json

curl -X GET "https://example.com/api/organization-service-facilities/v2?limit=100&name=Test+Service+Facility&page_token=eyJ0b2tlbiI6IjEiLCJwYWdlX3Rva2VuIjoiMiJ9"
{  "items": [    {      "organization_service_facility_id": "30F55EE6-8C0E-43FC-A7FC-DAC00D5BF569",      "name": "Test Service Facility",      "aliases": [        "Test Service Facility Alias"      ],      "description": "Test Service Facility Description",      "status": "active",      "operational_status": "C",      "mode": "instance",      "type": "DX",      "physical_type": "si",      "telecoms": [        "555-555-5555"      ],      "address": {        "address1": "123 Main St",        "address2": "Apt 1",        "city": "New York",        "state": "NY",        "zip_code": "10001",        "zip_plus_four_code": "1234"      }    }  ]}